#ifndef __TH5LoadDialog__
#define __TH5LoadDialog__

#include <TGWindow.h>
#include <TGFrame.h>
#include <TGButton.h>
#include <TGTextBuffer.h>
#include <TGTextEntry.h>
#include <TGLabel.h>

#include "TH5MainFrame.h"

using namespace std;

class TH5LoadDialog {

 private:
  TGTransientFrame    *fMain;
  TGCompositeFrame    *fFrame1, *fSubsampFrame, *fBottomFrame;
  TGButton            *fLoadButton, *fCancelButton;
  TGLayoutHints       *fL1, *fL2;
  
  TGLabel *fFileLabel, *fMemLabel, *fSubsampLabel;
  TGTextEntry *fFileEntry, *fSubsampEntry;
  TGTextBuffer *fFilenameBuffer, *fSubsampBuffer;
  TGRadioButton *fRadioMem[3];  

  TH5MainFrame *fParent; // pointer to parent frame

 public:
  TH5LoadDialog(const TGWindow *p, TH5MainFrame *mainFrame, UInt_t w, UInt_t h,
		UInt_t options = kVerticalFrame);
  virtual ~TH5LoadDialog();
  
  // slots
  void CloseWindow();
  void DoMemOptRadioButtons();
  void DoLoad();
  void DoCancel();
};

#endif
