#ifndef __TH5SliceDialog__
#define __TH5SliceDialog__

#include <TGWindow.h>
#include <TGFrame.h>
#include <TGButton.h>
#include <TGTextBuffer.h>
#include <TGTextEntry.h>
#include <TGLabel.h>

#include "TH5MainFrame.h"

using namespace std;

class TH5SliceDialog {

 private:
  TGTransientFrame    *fMain;
  TGHorizontalFrame   *fPeakAndBins, *fSliceExtentP, *fSliceExtentL,
    *fSliceWeight, *fSliceGaussianWeight;
  TGCompositeFrame    *fBottomFrame;
  TGButton            *fSetButton, *fCancelButton;
  TGLayoutHints       *fL1, *fL2;
  
  TGLabel *fPosLabel, *fBinsLabel1, *fBinsLabel2,
    *fSliceExtentLabel, *fPercentLabel, *fUpdateLabel,
    *fSliceWeightLabel, *fSliceGaussianWeightLabel,
		*fSliceExtentPLabel1, *fSliceExtentPLabel2,
		*fSliceExtentLLabel;

  TGTextEntry *fBinsEntry, *fPercentEntry, *fLengthEntry, *fSliceSigmaEntry;
  TGTextBuffer *fBinsBuffer, *fPercentBuffer, *fLengthBuffer, *fSliceSigmaBuffer;
  TGComboBox *fSliceLengthUnit, *fGaussianWeightUnit;
  TGRadioButton *fRadioSlicePos[6], *fRadioUpdateOpt[2],
		*fRadioSliceExtent[2], *fRadioSliceWeight[2];  

  TH5MainFrame *fParent; // pointer to parent frame

  TString* fSlicePosition;

 public:
  TH5SliceDialog(const TGWindow *p, TH5MainFrame *mainFrame, UInt_t w, UInt_t h,
		 TString* H5SlicePosition,
		UInt_t options = kVerticalFrame);
  virtual ~TH5SliceDialog();
  
  // slots
  void CloseWindow();
  void DoSlicePosRadioButtons();
  void DoUpdateOptRadioButtons();
	void DoSliceExtentRadioButtons();
	void DoSliceWeightRadioButtons();
  void DoSet();
  void DoCancel();
};

#endif
