#ifndef __TH5Util__
#define __TH5Util__

#include <TObject.h>

// three messages handlers (with the vararg stuff it is just too painful to 
// do it with a base class...)

namespace TH5Util {

  void h5Error(TObject* caller, 
	       const char* location, 
	       const Bool_t popUp,
	       const char * fmt,...);
  
  void h5Warning(TObject* caller, 
		 const char* location, 
		 const Bool_t popUp,
		 const char * fmt,...);
  
  void h5Info(TObject* caller, 
	      const char* location, 
	      const Bool_t popUp,
	      const char * fmt,...);
  
  Double_t AddMargin(Double_t& plotMin, Double_t& plotMax, const Double_t margin=0.1);
  
  TString AddBrackets(const TString s);;
  
  //  enum EH5StepVar { kSpos, kEmit, kRms };
  
  enum EH5PlotType { kNoPlot, kHisto1d, kHisto2d, kHisto3d, kHistoSE,
		     kScalarLinePlot, kVectorLinePlot, 
		     kMeanLinePlot, kCovLinePlot, kEmitLinePlot };
  
  enum EH5State { kNotExist=-1, kNotActive=0, kActive=1};
  
  enum EH5MemOpt { kLoadAndDump, kLoadAndKeep, kPreloadAll };

  enum EH5SlicePosOpt { kMeanZ, kMedianZ, kHalfZ, kStartZ, kEndZ, kPeakZ };

  enum EH5SliceExtentOpt { kPercent, kLength };

  enum EH5SliceUnit {kmm, kps};

  enum EH5SliceUpdateOpt { kAll, kSel };
  
  enum EH5VarType { kScalar, kVectorX, kVectorY, kVectorZ, 
                    kPart, kPartSlice, kPartProjAndSlice, 
                    kPartScreen, kPartSliceAndScreen, kPartProjAndScreen,
                    kPartProjAndSliceAndScreen };
  
  enum EH5PartVarType { kMean, kCov, kEmit }; 

  const Double_t EMPTY = -999.999;

}

#endif
